unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    imges: TImageList;
    imgRating: TImage;
    RadioGroup1: TRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
  private
    { private declarations }
    lstRating: TList;
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
Var k: Integer;
  bm, bmrt: TBitmap;
begin
  lstRating := TList.Create;
  bmrt := TBitmap.Create;
  imges.GetBitmap(42, bmrt);
  lstRating.Add(Pointer(bmrt)); // ein roter Stern
  Begin
    bm := TBitmap.Create;
    bm.Assign(bmrt);
    bm.Width := 2 * bmrt.Width;
    bm.Height := bmrt.Height;
    k := 0;
    while (k < (bm.Width - 2)) Do
    Begin
      bm.Canvas.Draw(k, 0, bmrt); // Stern Rot
      Inc(k, bmrt.Width);
    end;
    lstRating.Add(Pointer(bm));
  end;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  If RadioGroup1.ItemIndex >= 0 Then
    imgRating.Picture.Bitmap.Assign(TBitmap(lstRating[RadioGroup1.ItemIndex]));
end;

end.

